#include "ebyte_e48x.h"
#include "ebyte_callback.h"


/* ʶģ */
#define EBYTE_E48_NAME_TYPE 0x00000048

/* ʶģƵ */
#if defined(EBYTE_E48_433M20S)

  #define EBYTE_E48_FREQUENCY_TYPE 0x00000433 

#elif defined(EBYTE_E48_900M20S)

  #define EBYTE_E48_FREQUENCY_TYPE 0x00000900 

#endif 

/* ʶ汾 */
#define EBYTE_E48_PROGRAM_TYPE 0x10 

#include "board.h"

uint8_t rf_rxbuffer[200];
uint8_t rf_rxsize;
uint8_t radio_rece_data_flag;


void Ebyte_E48x_Init( void )
{
  vRadioCheckLink();
  vRadioInit();
}

void Ebyte_E48x_SendPayload( uint8_t *payload, uint8_t size, uint32_t timeout )
{
    vRadioTransmit( payload, size );
}


void Ebyte_E48x_SetRx( uint32_t timeout )
{
  vRadioReceive();
}

void Ebyte_E48x_SetSleep( uint8_t  cmd )
{
  return;
}


void Ebyte_E48x_IntOrPollTask( void )
{
  radio_rece_data_flag = GPIO_ReadInputDataBit( BSP_GPIO_PORT_E48_GP4 , BSP_GPIO_PIN_E48_GP4);
  /* н */
  if( radio_rece_data_flag != RESET )
  {
      vRadioGetPacket(rf_rxbuffer,&rf_rxsize);
      Ebyte_Port_ReceiveCallback(0x0002,rf_rxbuffer,rf_rxsize);
  }
}


void Ebyte_E48x_InterruptTrigger( void )
{


}

/* !
 * @brief ȡģ
 * 
 * @return 32λı 
 * @note 16λģ 0x0220 E22ģ
 *       16λƵ 0x0400 400Ƶ
 */
uint32_t Ebyte_E48x_GetName(void)
{
  return  (  ( (uint32_t)EBYTE_E48_NAME_TYPE << 16 ) | (uint32_t)EBYTE_E48_FREQUENCY_TYPE);
}

/* !
 * @brief ȡģ汾
 * 
 * @return 8λı 
 * @note 0x10 V1.0
 */
uint8_t Ebyte_E48x_GetDriverVersion(void)
{
  return  EBYTE_E48_PROGRAM_TYPE;
}