

#ifndef __RADIO_HAL_H

#define __RADIO_HAL_H

#include "stm8l15x.h"
#include "ebyte_port.h"


//Ƶֻܴѡ
#define CM2310A_410MHZ  0
#define CM2310A_433MHZ  1
#define CM2310A_868MHZ  2
#define CM2310A_915MHZ  3

#define PRODUCT_FREQUENCY  CM2310A_410MHZ//ѡƵ

#include "radio_spi.h"
#include "CMT2310A_def.h"
#include "CMT2310A_reg.h"

#define     RADIO_CGU_DIV1      0
#define     RADIO_CGU_DIV4      1
#define     RADIO_CGU_DIV8      2

#ifndef TRUE
/** Value is true (boolean_t type) */
#define TRUE        ((boolean_t) 1u)
#endif

#ifndef FALSE
/** Value is false (boolean_t type) */
#define FALSE       ((boolean_t) 0u)
#endif
typedef uint8_t   boolean_t;
typedef uint8_t   byte;

extern void          vRadioGpioInit( void );

extern uint8_t bRadioReadReg( uint8_t addr );
extern uint8_t bRadioWriteReg( uint8_t addr, uint8_t reg_dat );
extern uint8_t bRadioSetReg( uint8_t addr, uint8_t set_bits, uint8_t mask_bits );

extern void          vRadioLoadRegs( uint8_t sta_adr, uint8_t* ptr_buf, uint8_t length );
extern void          vRadioStoreRegs( uint8_t sta_adr, uint8_t* ptr_buf, uint8_t length );

extern void          vRadioBurstReadRegs( uint8_t* ptr_buf, uint8_t length );
extern void          vRadioBurstWriteRegs( uint8_t* ptr_buf, uint8_t length );

extern void          vRadioReadFifo( uint8_t* ptr_fifo, uint8_t length );
extern void          vRadioWriteFifo( uint8_t* ptr_fifo, uint8_t length );
extern void          vRadioReadTxFifo( uint8_t* ptr_fifo, uint8_t length );


extern void          vRadioSpiModeSel( boolean_t spi_mod );
extern void          vRadioSetTxDin( boolean_t cfg_din, uint8_t pin_sel );
extern void          vRadioSetDigClkOut( boolean_t cfg_out );
extern void          vRadioSetLfxoPad( boolean_t cfg_lfxo );
extern void          vRadioSetGpio0( uint8_t gpio0_sel );
extern void          vRadioSetGpio1( uint8_t gpio1_sel );
extern void          vRadioSetGpio2( uint8_t gpio2_sel );
extern void          vRadioSetGpio3( uint8_t gpio3_sel );
extern void          vRadioSetGpio4( uint8_t gpio4_sel );
extern void          vRadioSetGpio5( uint8_t gpio5_sel );
extern void          vRadioSetNirq( uint8_t nirq_sel );
extern void          vRadioTcxoDrvSel( uint8_t drv_sel );

extern void          vRadioRegPageSel( uint8_t page_sel );
extern void          vRadioPowerUpBoot( void );
extern void          vRadioSoftReset( void );
extern void          vRadioSetPaOutputMode( boolean_t cfg_en );
extern void          vRadioSetTxDataInverse( boolean_t cfg_en );
extern void          vRadioSetAntSwitch( boolean_t cfg_en, boolean_t cfg_polar );

extern void          vRadioDcdcCfg( boolean_t on_off );
extern void          vRadioCapLoad( uint8_t cap_value );
extern void          vRadioLfoscCfg( boolean_t on_off );
extern void          vRadioXoWaitCfg( uint8_t div_sel );

extern void          delay1ms(uint16_t cnt);
extern void          delay10us(uint32_t cnt);
#endif



