#ifndef __RADIO_MAC_H

#define __RADIO_MAC_H
	
#include "radio_hal.h"	
#include "CMT2310A_def.h"
#include "CMT2310A_reg.h"


extern uint8_t  bRadioGetCurrentChannl(void);

extern void     vRadioSetTxSeqNumberInitValue(FRAME_CFG *frm_cfg);
extern uint16_t wRadioGetTxSeqNumberCurrent(FRAME_CFG *frm_cfg);
extern void     vRadioSetTxFCS2(FRAME_CFG *frm_cfg);
extern uint8_t  bRadioGetRxFCS2(FRAME_CFG *frm_cfg);
extern void     vRadioSetPayloadLength(FRAME_CFG *frm_cfg);
extern uint16_t vRadioGetPayloadLength(FRAME_CFG *frm_cfg);


extern void     vRadioCfgPreamble(PREAMBLE_CFG *prm_ptr);
extern void     vRadioCfgSyncWord(SYNC_CFG *sync_ptr);
extern void     vRadioCfgNodeAddr(ADDR_CFG *node_addr_ptr);
extern void     vRadioCfgCrc(CRC_CFG *crc_ptr);
extern void     vRadioCfgCodeFormat(CODING_FORMAT_CFG *code_format_ptr);
extern void     vRadioCfgFrameFormat(FRAME_CFG *frame_format_ptr);
extern void     vRadioCfgWiSunFormat(WI_SUN_CFG *wi_sun_ptr);
extern void     vRadioCdrTracingModeCfg(CDR_TRACING_CFG *cdr_ptr);

extern void     vRadioCfgWorkMode(WORK_MODE_CFG *run_mode_ptr);
extern void     vRadioReadRunModeCfg(void);
extern uint8_t  bRadioGetTxDutyCycleDoneTimes(WORK_MODE_CFG *run_mode_ptr);
extern uint8_t  bRadioGetTxResendDoneTimes(WORK_MODE_CFG *run_mode_ptr);
extern uint8_t  bRadioGetCMSADoneTimes(WORK_MODE_CFG *run_mode_ptr);


extern void     vRadioSendWithAck(boolean_t w_ack, FRAME_CFG *frame_format_ptr);
extern void     vRadioEnableTxAck(boolean_t en_flg, WORK_MODE_CFG *run_mode_ptr);
extern void     vRadioEnableRxAck(boolean_t en_flg, WORK_MODE_CFG *run_mode_ptr);
extern uint8_t  bRadioGetFreqChanl(void);
extern uint8_t  bRadioGetHopDoneTimes(void);
extern void     vRadioCsmaEnable(boolean_t on_off, WORK_MODE_CFG *run_mode_ptr);
extern void     vRadioSetRssiAbsThValue(int8_t rssi);
extern void     vRadioSetPjdDetWin(uint8_t pjd_win);



#endif	


