#ifndef __RADIO_PHY_H

#define __RADIO_PHY_H
#include "stm8l15x.h"
#include "radio_hal.h"
#include "CMT2310A_def.h"
#include "CMT2310A_reg.h"


extern void     vRadioSetInt1Sel( uint8_t int1_sel );
extern void     vRadioSetInt2Sel( uint8_t int2_sel );
extern void     vRadioSetInt1Polar( boolean_t int1_polar );
extern void     vRadioSetInt2Polar( boolean_t int2_polar );
extern void     vRadioSetInt3Polar( boolean_t int3_polar );


extern void     vRadioRssiUpdateSel( uint8_t sel );
extern uint8_t  bRadioGetRssi( void );
extern void     vRadioRssiConfig( RSSI_CFG rssi_cfg );
extern void     vRadioRssiCalOffset( uint8_t cal_offset );

extern uint8_t  bRadioGetLbdValue( void );
extern void     vRadioSetLbdTH( uint8_t lbd_th );
extern uint8_t  bRadioGetTemperature( void );
extern boolean_t        bRadioApiCommand( uint8_t api_cmd );
extern void     vRadioCdrModeCfg( enum CDR_MODE cdr_mode );
extern void     vRadioTxRampCfg( boolean_t tx_ramp_en, uint16_t  tx_ramp_step );
extern void     vRadioTxGaussianCfg( boolean_t tx_gaus_en, uint8_t tx_gaus_bt );
extern void     vRadioAfcCfg( boolean_t afc_en );

extern uint8_t  bRadioGetState( void );
extern uint8_t  bRadioGoSleep( void );
extern uint8_t  bRadioGoStandby( void );
extern uint8_t  bRadioGoTx( void );
extern uint8_t  bRadioGoRx( void );
extern uint8_t  bRadioGoTxFS( void );
extern uint8_t  bRadioGoRxFS( void );


extern void     vRadioSetFifoTH( uint16_t fifo_th );
extern void     vRadioFifoRetent( boolean_t cfg_en );
extern void     vRadioFifoAutoClearGoRx( boolean_t cfg_en );
extern void     vRadioFifoAutoRestoreWhenTxDone( boolean_t cfg_en );
extern void     vRadioFifoMerge( boolean_t cfg_en );
extern void     vRadioFifoTRxUsageSel( boolean_t cfg_tx );
extern void     vRadioFifoGetStatus( FIFO_STATUS_FLG* fifo_status );
extern void     vRadioClearTxFifo( void );
extern void     vRadioClearRxFifo( void );
extern void     vRadioManualResetTxFifoPointer( void );
  
extern void     vRadioInterruptSoucreCfg( INT_SRC_CFG* int_src_ctrl );
extern void     vRadioInterruptSoucreFlag( INT_SRC_FLG* int_src_flag );
extern void     vRadioInterruptSoucreClear( INT_SRC_CLR* int_src_clr );
  
  
extern void     vRadioConfigPageReg( byte page_sel, uint8_t const reg_ptr[], uint8_t reg_len );
extern void     vRadioReadPageReg( byte page_sel, uint8_t reg_ptr[], uint8_t reg_len );
extern boolean_t        bRadioIsExist( void );
extern uint32_t lRadioChipVersion( void );

#endif



