#include "radio_spi.h"

/******************************
**Name: vSpiMasterInit
**Func: SPI Master
**Input: None
*Output: None
********************************/
void vSpiMasterInit( void )
{
    /* ѾʼSPI */
}


uint8_t bSpiWriteByte( uint8_t spi_adr, uint8_t spi_dat )
{
    uint8_t ret;
  
    spi_adr &= 0x7F;
  
    /* SPI Ƭѡ CS */
#if EBYTE_PORT_SPI_CS_SOFTWARE
    Ebyte_Port_SpiCsIoControl( 0 );
#endif
    
    Ebyte_Port_SpiTransmitAndReceivce(spi_adr);
    
    ret = Ebyte_Port_SpiTransmitAndReceivce(spi_dat);
    
    /* SPI Ƭѡ CS */
#if EBYTE_PORT_SPI_CS_SOFTWARE
    Ebyte_Port_SpiCsIoControl( 1 );
#endif
    
    return ret;
}

uint8_t bSpiReadByte( uint8_t spi_adr )
{
    uint8_t ret;
  
    spi_adr |= 0x80;
  
    /* SPI Ƭѡ CS */
#if EBYTE_PORT_SPI_CS_SOFTWARE
    Ebyte_Port_SpiCsIoControl( 0 );
#endif
    
    Ebyte_Port_SpiTransmitAndReceivce(spi_adr);
    
    ret = Ebyte_Port_SpiTransmitAndReceivce(0x00);
    
    /* SPI Ƭѡ CS */
#if EBYTE_PORT_SPI_CS_SOFTWARE
    Ebyte_Port_SpiCsIoControl( 1 );
#endif
    
    return ret;
}

void vSpiBurstWrite( uint8_t spi_adr, uint8_t spi_dat[], uint8_t spi_length )
{
    uint8_t i;
    
    spi_adr &= 0x7F;  
    
        /* SPI Ƭѡ CS */
#if EBYTE_PORT_SPI_CS_SOFTWARE
    Ebyte_Port_SpiCsIoControl( 0 );
#endif
    
    Ebyte_Port_SpiTransmitAndReceivce(spi_adr);
    
    for(i=0; i<spi_length; i++)
    {
        Ebyte_Port_SpiTransmitAndReceivce(spi_dat[i]);
    }
    
    /* SPI Ƭѡ CS */
#if EBYTE_PORT_SPI_CS_SOFTWARE
    Ebyte_Port_SpiCsIoControl( 1 );
#endif
}

void vSpiBurstRead( uint8_t spi_adr, uint8_t spi_dat[], uint8_t spi_length )
{
    uint8_t i;
    
    spi_adr |= 0x80;
    
    /* SPI Ƭѡ CS */
#if EBYTE_PORT_SPI_CS_SOFTWARE
    Ebyte_Port_SpiCsIoControl( 0 );
#endif
    
    Ebyte_Port_SpiTransmitAndReceivce(spi_adr);  
    
    for(i=0; i<spi_length; i++)
    {
       spi_dat[i] = Ebyte_Port_SpiTransmitAndReceivce(0x00);
    }    
  
    /* SPI Ƭѡ CS */
#if EBYTE_PORT_SPI_CS_SOFTWARE
    Ebyte_Port_SpiCsIoControl( 1 );
#endif
}

